/*
 * Created on 01.12.2004
 *
 * SVN header information:
 *  $Author: LBST-PF-3\orahn $
 *  $Rev: 2446 $
 *  $Date: 2006-09-12 14:57:25 +0200 (Di, 12 Sep 2006) $
 *  $Id: DiagrammDialog.java 2446 2006-09-12 12:57:25Z LBST-PF-3\orahn $
 */
package de.fhOsnabrueck.jump.pirol.ui.dialogs;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Frame;
import java.awt.HeadlessException;

import javax.swing.JButton;
import javax.swing.JPanel;

import de.fhOsnabrueck.jump.pirol.ui.actions.SaveImageAsAction;
import de.fhOsnabrueck.jump.pirol.ui.eventHandling.IdentificationListener;
import de.fhOsnabrueck.jump.pirol.utilities.FeatureSelector;
import de.fhOsnabrueck.jump.pirol.utilities.diagrams.InterativeDiagram;


/**
 * Dialog, that just displays a diagramm, that was drawn into the given JPanel
 * 
 * @author Ole Rahn
 * <br>
 * <br>FH Osnabrck - University of Applied Sciences Osnabrck
 * <br>Project PIROL 2005
 * <br>Daten- und Wissensmanagement
 * 
 * @version $Rev: 2446 $
 */
public class DiagrammDialog extends InterativeDiagram {
	
    private static final long serialVersionUID = 1869932994840521595L;

	private JPanel drawingPanel;

	public DiagrammDialog(Frame parent, String titel, boolean modal, JPanel canvas, FeatureSelector selector )
			throws HeadlessException {
		super( parent, titel, modal, selector);
		
		this.drawingPanel = canvas;
		
		this.setupDialog();
	}
	
	protected void setupDialog(){
		JPanel panel = new JPanel();
		panel.setPreferredSize(new Dimension(500,550));
		panel.setLayout(new BorderLayout());
		
		this.drawingPanel.addMouseListener(new IdentificationListener(this.selector));
        
        JButton saveImgButton = new JButton();
        saveImgButton.setAction(new SaveImageAsAction(this, this.drawingPanel));
		
		panel.add(this.drawingPanel, BorderLayout.CENTER);
        panel.add(saveImgButton, BorderLayout.SOUTH);
		panel.doLayout();
		
		this.getContentPane().add(panel);
		this.pack();
	}

}
